# PathGraphics

#### new Cesium.PathGraphics(options)
DataSources/PathGraphics.js 35

  Describes a polyline defined as the path made by an `Entity` as it moves over time.

  Name | Type | Description
  --- | --- | ---

  `options`

  Object

  optional Object with the following properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `leadTime` | Property |  | optional A Property specifying the number of seconds behind the object to show.
  `trailTime` | Property |  | optional A Property specifying the number of seconds in front of the object to show.
  `show` | Property | `true` | optional A boolean Property specifying the visibility of the path.
  `width` | Property | `1.0` | optional A numeric Property specifying the width in pixels.
  `material` | MaterialProperty | `Color.WHITE` | optional A Property specifying the material used to draw the path.
  `resolution` | Property | `60` | optional A numeric Property specifying the maximum number of seconds to step when sampling the position.
  `distanceDisplayCondition` | Property |  | optional A Property specifying at what distance from the camera that this path will be displayed.

### Members

#### readonlydefinitionChanged : Event
DataSources/PathGraphics.js 62

  Gets the event that is raised whenever a property or sub-property is changed or modified.

#### distanceDisplayCondition : Property
DataSources/PathGraphics.js 119

  Gets or sets the `DistanceDisplayCondition` Property specifying at what distance from the camera that this path will be displayed.

#### leadTime : Property
DataSources/PathGraphics.js 105

  Gets or sets the Property specifying the number of seconds in front of the object to show.

#### material : MaterialProperty
DataSources/PathGraphics.js 82

  Gets or sets the Property specifying the material used to draw the path.
  Default Value: `Color.WHITE`

#### resolution : Property
DataSources/PathGraphics.js 98

  Gets or sets the Property specifying the maximum number of seconds to step when sampling the position.
  Default Value: `60`

#### show : Property
DataSources/PathGraphics.js 74

  Gets or sets the boolean Property specifying the visibility of the path.
  Default Value: `true`

#### trailTime : Property
DataSources/PathGraphics.js 112

  Gets or sets the Property specifying the number of seconds behind the object to show.

#### width : Property
DataSources/PathGraphics.js 90

  Gets or sets the numeric Property specifying the width in pixels.
  Default Value: `1.0`

### Methods

#### clone(result) → PathGraphics
DataSources/PathGraphics.js 128

  Duplicates this instance.

  Name | Type | Description
  --- | --- | ---
  `result` | PathGraphics | optional The object onto which to store the result.

  ##### Returns:

  The modified result parameter or a new instance if one was not provided.

#### merge(source)
DataSources/PathGraphics.js 148

  Assigns each unassigned property on this object to the value of the same property on the provided source object.

  Name | Type | Description
  --- | --- | ---
  `source` | PathGraphics | The object to be merged into this object.